import java.io.File;
import java.util.Properties;

import javax.swing.UIManager;

import util.Loader;
import view.DialogFactory;

public class Main {
	public static void main(String[] args) {
		String mapDir = ".digital_map" + File.separatorChar;
		String pluginDir = "plugin" + File.separatorChar;
		String libDir = "lib" + File.separatorChar;
		switch (args.length) {
			case 3: libDir = args[2];
			case 2: pluginDir = args[1];
			case 1: mapDir = args[0];
		}
		try {
			// 外部JARをロードします。
			Loader.addExternalJar(libDir);
			Properties properties = System.getProperties();
			if (((String) properties.get("java.version")).toLowerCase().contains("1.6")) {
				if (((String) properties.get("sun.desktop")).toLowerCase().contains("windows")){
					properties.setProperty("sun.java2d.d3d", "true");
				}
			}
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {
			DialogFactory.errorDialog(null, e);
			return;
		}
		StartUp.startup(libDir, pluginDir, mapDir);
	}
}
